html{
  cursor: url("asset/cursor/cursor1.png"), default;
}

a:hover,button:hover{
  cursor: url("asset/cursor/cursor2.png"), pointer;
}


body {
    width: 100%;
    max-width: 1200px;
    height: max-content;
    max-height: 100vh;
    
    margin: auto;

    background-image: url("asset/image/background.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;

    color: #301CA0;

    overflow-x: hidden;
}

header{
    width: 100%;
    height: 250px;

    position: fixed;
    z-index: 50;
    top: 0;
    left: 0;

    background-image: url("asset/image/header.png");
    background-repeat: no-repeat;
    background-position: center bottom;

    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    gap: 20px;
}

.home{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    gap: 35px;

    padding: 0 50px;

    margin-top: 175px;
}

.container{
    width: 1400px;
    height: 427px;
    
    padding: 20px 20px 20px 45px;

    overflow-y: auto;
    overflow-x: hidden;

    border-image-source: url("asset/image/lace.webp"); 
    border-image-width: 25px; 
    border-image-slice: 50; 
    border-image-outset: 25px; 
    border-image-repeat: round;
    
    display: flex;
    align-content: center;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: column;

    background: white;
    box-shadow: 0 0 50px rgb(16 17 62 / 68%);
}

.container::-webkit-scrollbar {
  width: 7px;
}

.container::-webkit-scrollbar-track {
  background: #ffffff;
}

.container::-webkit-scrollbar-thumb {
  background: linear-gradient(#8494FF, #FFDBFD);
  
  border-radius: 20px;
  border:2px solid transparent;
  background-clip:content-box;

}

.container2{
    width: 945px;
    height: 20px;
    
    margin: -15px 40px auto auto;
    padding: 10px;

    overflow-y: hidden;
    overflow-x: hidden;

    border-image-source: url("asset/image/lace.webp"); 
    border-image-width: 5px; 
    border-image-slice: 50; 
    border-image-outset: 5px; 
    border-image-repeat: round;
    
    display: flex;
    align-content: center;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: column;

    background: white;
    box-shadow: 0 0 50px rgb(16 17 62 / 68%);
}

.r-aside1{
    width: 200px;
    height: max-content;
    max-height: 230px;
    
    padding: 15px;
    margin-bottom: 60px;

    border-image-source: url("asset/image/lace.webp"); 
    border-image-width: 20px; 
    border-image-slice: 50; 
    border-image-outset: 20px; 
    border-image-repeat: round;
    
    display: flex;
    align-content: center;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: column;

    background: white;
    box-shadow: 0 0 50px rgb(16 17 62 / 68%);
}

.r-aside2{
    width: 200px;
    height: max-content;
    max-height: 230px;
    
    padding: 15px;
    margin-bottom: 60px;

    border-image-source: url("asset/image/lace.webp"); 
    border-image-width: 20px; 
    border-image-slice: 50; 
    border-image-outset: 20px; 
    border-image-repeat: round;
    
    display: flex;
    align-content: center;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: column;

    background: white;
    box-shadow: 0 0 50px rgb(16 17 62 / 68%);
}

.credit-box{
    text-align: left;
    display: block;
}

.social-box{
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.list-box{
    width: 360px;
    
    margin-left: 10px;
    
    display: flex;
    flex-direction: column;
    
    align-content: flex-start;
    align-items: flex-start;
    justify-content: center;
}

.two-col{
    display: flex;
    flex-direction: row;
    
    justify-content: space-between;
    align-items: center;
    align-content: center;
    flex-wrap: nowrap;
    
    gap: 20px;
}

.aside-img{
    width: 15%;
}

@font-face {
  font-family: Jocky Starline;
  src: url("asset/font/Jocky Starline.ttf");
}

@font-face {
  font-family: Baby Doll;
  src: url("asset/font/Baby Doll.ttf");
}

.header-navi, .header-tittle{
    width: 50%;
    margin-top: 50px;
}

.header-navi{
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
    align-content: center;
    flex-wrap: nowrap;
    gap: 20px;
    
    padding-top: 30px;
    margin-top: -1px;
}

.header-tittle{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    align-content: center;
    flex-wrap: nowrap;
    
    padding-top: 35px;
    margin-top: -1px;
}

.navi-icon{
    height: 90px;
    width: 90px;
    border: 1px solid #bdefff;
    border-radius: 50%;
    position: relative;
    gap: 20px;

    background: radial-gradient(circle at 75% 30%, 
        #ffffff 5px, 
        #e9e6ff 10%, 
        #b9c8ff 45%, 
        #9aa8ff 70%, 
        #c6bfff 100%
    );

    box-shadow: 
        inset 0 0 20px #ffffff,
        inset 8px 0 40px #f3eaff,
        inset 70px 0 70px #aab2ff,
        inset -20px -60px 100px #d8ccff,
        inset 0 50px 130px #efeaff,
        0 0 70px #d7d2ff;

    animation: floatBubble 3s ease-in-out infinite;
    cursor: pointer;

    transition: transform 0.25s ease;
}

@keyframes floatBubble{
    0%{
        transform: translateY(0px);
    }

    50%{
        transform: translateY(-5px);
    }

    100%{
        transform: translateY(0px);
    }
}

.icon:hover{
    transform: scale(1.1);
}

.navi-position1{
    margin-top: 10px;
}

.navi-position2{
    margin-bottom: 10px;
}

.icon{
    width: 50%;
    display: block;
    margin: auto;
}

.icon-hue1{
    filter: hue-rotate(50deg) saturate(1.2) brightness(1.1);
}

.icon-hue2{
    filter: hue-rotate(11deg) saturate(1.2) brightness(1.1);
}

.icon-hue3{
    filter: hue-rotate(348deg) saturate(1.2) brightness(1.1);
}

.icon-hue4{
    filter: hue-rotate(354deg) saturate(1.2) brightness(1.1);
}

.h1-style1{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 60px;
    
    color: #FDCFFA;
    text-shadow: 0 0 6px rgba(59,2,112,0.6), 0 0 12px rgba(59,2,112,0.6);
    
    margin: 0;
}

.h1-style2a{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 60px;
    
    text-align: center;
    
    color: #3B38A0;
    
    margin: 10px 0 0 0;
}

.h1-style2b{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 70px;
    
    text-align: center;
    
    color: #FDCFFA;
    text-shadow: 0 0 6px rgba(59,2,112,0.6), 0 0 12px rgba(59,2,112,0.6);
    
    margin: -15px 180px 0 0;
}

.h1-style2c{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 70px;
    
    text-align: center;
    
    color: #FDCFFA;
    text-shadow: 0 0 6px rgba(59,2,112,0.6), 0 0 12px rgba(59,2,112,0.6);
    
    margin: 3px 43px 0 0px;
}

.h1-style2d{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 70px;
    
    text-align: center;
    
    color: #FDCFFA;
    text-shadow: 0 0 6px rgba(59,2,112,0.6), 0 0 12px rgba(59,2,112,0.6);
    
    margin: 3px -10px 0 0px;
}

.h1-style2e{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 70px;
    
    text-align: center;
    
    color: #FDCFFA;
    text-shadow: 0 0 6px rgba(59,2,112,0.6), 0 0 12px rgba(59,2,112,0.6);
    
    margin: 3px -40px 0 0px;
}

.h4-style1{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 20px;
    
    text-align: center;
    
    color: #3B38A0;
    
    margin-top: 30px;
    margin-bottom: 0;
}

.h4-style2{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 20px;
    
    text-align: center;
    
    color: #3B38A0;
    
    margin: 0;
}

.h4-style3{
    font-family: Jocky Starline;
    font-weight: 300;
    font-size: 20px;
    
    text-align: center;
    line-height: 1;
    
    color: #3B38A0;
    
    margin-top: 10px;
}

.tagline{
    width: 15%;
    
    font-family: Baby Doll;
    font-weight: 300;
    font-size: 15px;
    
    color: #3B38A0;
    
    margin-top: -75px;
    margin-left: 295px;
}

.body-text1{
    width: 500px;
    
    font-family: Baby Doll;
    font-weight: 300;
    font-size: 15px;
    
    color: #3B38A0;
}

.body-text2, .body-text3, .social-link{
    font-family: Baby Doll;
    font-weight: 300;
    font-size: 15px;
    
    color: #3B38A0;
    
    margin: 5px 0 0 0;
}

.body-text2:before, .body-text2:after{
    content: url("asset/gif/9.gif");
    display: inline-block;
}

.body-text2:before{
    margin-left: 2px;
    float: right;
}

 .body-text2:after{
     margin-right: 2px;
     float: left;
 }
 
 .body-text4{
    font-family: Baby Doll;
    font-weight: 300;
    font-size: 12px;
    
    color: #3B38A0;
    
    margin: 3px 0 0 0;
}

.fav-text{
    color:#6367FF;
    
    font-weight: bold;
}

.fav-text:before{
    content: url("asset/icon/fav.webp");
    float: left;
    margin-right: 5px;
}

.stats-title{
    font-family: Baby Doll;
    
    text-align:center;
    
    color:#FDCFFA;
    
    margin-bottom:15px;
}

.glow{  
    color:#8494FF;

    text-shadow: 0 0 6px rgba(255, 219, 253,0.6), 0 0 12px rgba(99, 103, 255,0.6);
}

.descriptions{
    font-family: Baby Doll;
    font-weight: 300;
    font-size: 15px;
    
    color: #fff;
    text-shadow: 0 0 6px rgba(59,2,112,0.6), 0 0 12px rgba(59,2,112,0.6);
    
    margin-top: -10px;
}

.fade-text span{
  opacity: 0;
  transform: translateY(15px);
  filter: blur(2px);
  transition: 0.5s;
  display: inline-block;
}

.fade-text span.show{
  opacity: 1;
  transform: translateY(0);
  filter: blur(0);
}

.gif1{
    width: 50%;
}

.gif2{
    width: 200px;
    
    aspect-ratio: 1 / 1;
    
    object-fit: cover;
    object-position: bottom;
    
    filter: hue-rotate(50deg) saturate(1.2) brightness(1.1);
}

.char-gif{
    position: absolute;
    width: 28%;
    top: 30vh;
    left: 1vh;
    z-index: 99;
}

.divider1{
    width: 65%;
    margin-top: 30px;
    margin-bottom: 30px;
}

.divider2{
    width: 80%;
    margin-top: 5px;
    margin-bottom: 5px;
}

.btn-social{
    width: 180px;
    height: 25px;
    
      border-image-source: url("asset/image/lace2.webp"); 
    border-image-width: 8px; 
    border-image-slice: 10; 
    border-image-outset: 5px; 
    border-image-repeat: round;
    
    font-family: Baby Doll;
    font-weight: 300;
    font-size: 12px;
    
    text-align: center;
    
    color: #3B38A0;
}

.btn-social a:hover, .social-link:hover{
    transform: scale(1.1);
    
    color: #FFDBFD;
}

.stamp-loop{
  width:100%;
  overflow:hidden;
}

.stamp-track{
  display:flex;
  gap:10px;
  width:max-content;
  animation: stampScroll 20s linear infinite;
}

.stamp-track img{
  height:20px;
}

@keyframes stampScroll{
  from{
    transform:translateX(0);
  }
  to{
    transform:translateX(-50%);
  }
}

.stats-box{
    width: 60%;
    padding: 15px;
}

.stat{
    display:flex;
    gap: 10px;
    
    align-items:center;
    
    margin:6px 0;
    
    font-family: 'Baby Doll';
    font-weight: 300;
    font-size:14px;
    
    color: #3B38A0;
}

.stat span{
    width:70px;
}

.bar{
    flex: 1;
    
    height: 10px;
    
    background: #FFDBFD;
    border: 1px solid #3B38A0;
    border-radius: 5px;
    
    overflow: hidden;
}

.fill{
    height: 100%;
    
    background: #C9BEFF;
}

.bag{
    display: flex;
    gap: 10px;
    
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    
    margin-top: 10px;
}

.bag-frame{
    position: relative;
    
    display: flex;
    align-items: center;
    justify-content: center;
    
    width: 80px;
    height: 80px;

    padding: 6px;
}

.bag-frame::before{
    content: "";
    
    position: absolute;
    z-index: 2;
    inset: 0;

    background-image: url("asset/gif/frame.gif");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    filter: hue-rotate(285deg) saturate(1.2) brightness(1.1);

    pointer-events: none;
}

.items{
    width: 40%;
    height: 40%;
    
    object-fit: contain;
    position: relative;
    z-index: 1;
}

.items:hover{
    transform: scale(0.8);
}

.fav-box{
    display: flex;
    flex-direction: row;
    gap: 5px;
    
    align-content: center;
    justify-content: left;
    align-items: baseline;
    
}

@media (max-width: 768px){

body{
    width: 70%;
    margin: 0;
    overflow-x: hidden;
}

header{
    display: flex;
    flex-direction: column;
    gap: 0;
        
    width: 100%;
    height: 250px;
        
    position: fixed;
    top: 0;
        
    background-image: url(asset/image/header.png);
    background-repeat: no-repeat;
    background-position: left bottom;
}

.home{
    width: 100%;
    
    margin-left: 7vh;
    padding: 10px;
}

.header-tittle{
    margin-top: -110px;
    
    width: 100%;
}

.header-navi{
    margin-top: -230px;
    
    width: 100%;
}

.home{
    display: flex;
    flex-direction: column;
    
    gap: 30px;
}

.container{
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
}

.container2{
    width: 100%;
    max-width: 100%;
    
    margin: 0 0 -40px 41px;

}

aside{
    width: 100%;
    margin-top: 20px;
}

.r-aside1{
    margin-bottom: 80px;
}

.container, .r-aside1, .r-aside2 {
    width: 100%;
    max-width: 100%;        
    
    box-sizing: border-box;
   
    padding: 20px;
    
    border-image-source: url("asset/image/lace.webp"); 
    border-image-width: 30px; 
    border-image-slice: 50; 
    border-image-outset: 30px; 
    border-image-repeat: round;
}

.two-col{
    display: flex;
    flex-direction: column;
    
    gap: 10px;
    
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.social-box{
    display: flex;
    flex-direction: row;
        
    gap: 12px;

    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.credit-box{
    width: 100%;
}

.two-col{
    display: flex;
    flex-direction: column;
}

.col1, .col2{
    width: 100%;
    
    margin: 0;
    
    display: block;
    
    align-items: center;
    align-content: center;
}

ul{
    width: 80%;

    margin-left: -2vh;

    display: block;
    
    gap: 5px;
    
    align-items: center;
    align-content: center;
}

.header-navi{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

.navi-icon{
    width: 60px;
    height: 60px;
}

.list-box{
    width: 100%;
}

.fav-box{
    margin-left: 2vh;
}

.stats-box{
    width: 100%;
}

.bag{
    display: grid;
    
    align-content: center;
    justify-content: center;
    justify-items: stretch;
    align-items: center;
    
    grid-template-columns: 1fr 1fr;
}

.h1-style1 {
    font-size: 60px;
    line-height: 1;
}

img{
    max-width: 100%;
    height: auto;
}

.h1-style1,.h1-style2a,.h1-style2b,.h1-style2c,.h1-style2d,.h1-style2e{
    font-size: 25px;
    
    line-height: 1.5;
    
    text-align: center;
    margin: 0;
}

.h1-style2a{
    margin: 0;
}

.h4-style1,.h4-style2,.h4-style3{
    font-size: 20px;
}

.h4-style1{
    width: 80%;
    
    margin-bottom: 5px;
    margin-top: 15px;
}

.tagline{
    font-size: 10px;
    
    text-align: center;
    
    margin: auto;
    margin-top: 10px;
    
    width: 60%;
}

.divider1, .divider2{
    margin: 20px;
    width: 100%;
}

.body-text1, .body-text2, .body-text3, .body-text4{
    font-size: 10px;
    line-height: 1.5;
}

.body-text1, .body-text4{
    font-size: 10px;
    line-height: 1.5;
    
    width: 100%;
    
    margin: 0;
}

.body-text2{
    margin: 0;
    margin-bottom: 5px;
}

.gif2{
    width: 100%;
    
    aspect-ratio: 4 / 3;
    
    object-fit: cover;
    object-position: bottom;
    
    margin: auto;
}

.btn-social{
    height: 20px;
    width:70px;
}

.char-gif{
    position: fixed;
        
    width: 40%;
        
    top: 55vh;
    left: -4vh;
}

}